/* ==========================================================================*/
/* - - - - - - - - - - - - - -  a d c t r l . h  - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Include File for the ADCtrl.c module                                   */
/*  Created   2011-12-02   msw                                               */
/*	Modified  2011-12-02   MW                                                */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
#ifndef ADCTRL_H_
#define ADCTRL_H_

#include "common.h"

/*---------------------------------------------------------------------------*/
/*--------------------> G L O B A L   D E F I N E S <------------------------*/
/*---------------------------------------------------------------------------*/
#define CH_FWD AT91C_ADC_CH5
#define CH_REV AT91C_ADC_CH4
#define CH_ID AT91C_ADC_CH7


/*---------------------------------------------------------------------------*/
/*--------> T Y P E D E F S   U N I O N S    S T R U C T U R E S <-----------*/
/*---------------------------------------------------------------------------*/



/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void ADCtrlInit( void );
uint16_t ADRead( uint32_t ch );
uint32_t GetBandIDIndex(void);
int GetVSWR(void);

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/

#endif /*ADCTRL_H_*/
