/* ==========================================================================*/
/* - - - - - - - - - - -  w s p r e n c o d e r . h  - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the wsprencoder module                             */
/*	Created   2011-09-10   M. Wheatley                                       */
/*	Modified  2011-09-10   MW                                                */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef WSPRENCODER_H_
#define WSPRENCODER_H_
#include <stdint.h>


/*---------------------------------------------------------------------------*/
/*-------------------> G L O B A L  D E F I N E S <--------------------------*/
/*---------------------------------------------------------------------------*/
#define NUM_SRCBYTES 11
#define NUM_SRCBITS 81
#define NUM_SYMBOLS (NUM_SRCBITS*2)


/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
int WsprEncode(char* CallSign, char* GridSquare, int dBm );


/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern uint8_t Symbols[];

#endif /* WSPRENCODER_H_ */
